[package]
name = "obiskio"
version = "0.1.0"
edition = "2024"

[dependencies]
niffler = "3.0.0"
rustix = { version = "1.1.4", features = ["process"] }
lru = "0.12"
serde = { version = "1", features = ["derive"] }
serde_json = "1"

memmap2 = "0.9"
obikseq = { path = "../obikseq" }

[dev-dependencies]
tempfile = "3"
obikseq = { path = "../obikseq", features = ["test-utils"] }
